package com.tanpu.feo.feojob.feign.fatools;


import com.tanpu.feo.feojob.feign.CommonResp;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

//@FeignClient(value = "fatools", contextId = "fatoolsUser", fallbackFactory = FeignbackForFatools.class, url = "http://localhost:8189/fatools")
@FeignClient(value = "fatools", url = "${tanpu.feo-fatools.svc:}",  path = "/fatools")
public interface FeignClientForFatools {

    @GetMapping("/api/org/get-qrcode-url")
    CommonResp<String> getQrCodeUrl(@RequestParam("orgId") String orgId);
}
