package com.tanpu.feo.feojob.service;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.nio.charset.StandardCharsets;
import java.util.Base64;

@Service
public class RedirectService {

    @Value("${tanpu.redirect.url:}")
    private String redirectUrl;

    public String getRedirectLink(String url) {
        if (StringUtils.isBlank(url)) {
            return "";
        }
        String u = Base64.getEncoder().encodeToString(url.getBytes(StandardCharsets.UTF_8));
        return redirectUrl + u;
    }
}
